lucene-solr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "John Wang (JIRA)" <j...@apache.org>
Subject [jira] Commented: (SOLR-1807) UpdateHandler plugin is not fully supported
Date Tue, 09 Mar 2010 23:46:27 GMT

    [ https://issues.apache.org/jira/browse/SOLR-1807?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12843362#action_12843362
] 

John Wang commented on SOLR-1807:
---------------------------------

bq. I almost think thats the lessor of two evils. While it breaks impls, those impls cannot
fully work with Solr anyway.

I agree 100%

bq. ReplicationHandler

This is a terrific idea. This separates the concern with indexing updating and replication.


> UpdateHandler plugin is not fully supported
> -------------------------------------------
>
>                 Key: SOLR-1807
>                 URL: https://issues.apache.org/jira/browse/SOLR-1807
>             Project: Solr
>          Issue Type: Bug
>          Components: update
>    Affects Versions: 1.4
>            Reporter: John Wang
>
> UpdateHandler is published as a supported Plugin, but code such as the following:
> if (core.getUpdateHandler() instanceof DirectUpdateHandler2) {
>             ((DirectUpdateHandler2) core.getUpdateHandler()).forceOpenWriter();
>           } else {
>             LOG.warn("The update handler being used is not an instance or sub-class of
DirectUpdateHandler2. " +
>                     "Replicate on Startup cannot work.");
>           } 
> suggest that it is really not fully supported.
> Must all implementations of UpdateHandler be subclasses of DirectUpdateHandler2 for it
to work with replication?

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message